#!/bin/sh

set -eu

fail() {
	echo ERROR $1
	exit 1
}

TESTFILES='emacs-pick pick.expected-output'

PICK_DIR=`cd \`dirname "$0"\` && pwd`

for f in $TESTFILES
do
	test -f "$PICK_DIR/$f" || fail "$PICK_DIR/$f does not exist"
done

cd "$PICK_DIR/../../test"

test -x ../notmuch || fail "`cd .. && pwd`/notmuch has not been built"

for f in $TESTFILES
do
	if test -f "$f"
	then
		fail "$f exists"
	fi
done

trap "rm -f $TESTFILES" 0

for f in $TESTFILES
do
	ln -s "$PICK_DIR/$f" .
done

#don't exec -- traps would not run.
./emacs-pick
